We’ve upgraded lemmy.world to 0.18.1-rc.1 and rolled back that upgrade because of issues.

(If you had posted anything in those 10 minutes between upgrade and rollback, that post is gone. Sorry!)

The main issue we saw is that users can’t login anymore. Existing sessions still worked, but new logins failed (from macos, ios and android. From linux and windows it worked)

Also new account creation didn’t work.

I’ll create an issue for the devs and retry once it’s fixed.

Edit Contacted the devs, they tell me to try again with lemmy-ui at version 0.18.0. Will try again, brace for some downtime!

Edit 2 So we upgraded again, and it seemed to work nicely! But then it slowed down so much it was unuseable. There were many locks in the database. People reported many JSON errors. Sorry, we won’t be on 0.18.1 any time soon I’m afraid…

  • @FearTheCron
    link
    fedilink
    English
    98 months ago

    Ah that explains it. Someone posted a cool photo to my community from lemmy.ca but didn’t interact further. Looks like my comment didn’t even show up on their end.

    Anyway, thanks to everyone working on the issue. I know these things aren’t easy.

    • @dragontamer
      link
      fedilink
      English
      108 months ago

      I’m subscribed to lemmy.ca and programming.dev, both of which are .18 now. Feels kinda bad losing access to those communities while this issue is getting worked out…

      • @FearTheCron
        link
        fedilink
        English
        28 months ago

        I hear you and it is certainly an inconvenience. My solution for now is just to create mirror accounts on a few different instances under the same name. Hopefully the version compatibility will improve as the Lemmy software matures over time.